
// This is Tinytris for the TinyArcade





#include <TinyScreen.h>

#include "common.h"

#include "joystick-local.h"
#include "colors.h"
#include "game.h"
#include "tinygraphics.h"


unsigned long millisTime;

typedef char hiName[32];

struct Preferences {
    hiName hiNames[10]={
      "                               ",
      "                               ",
      "                               ",
      "                               ",
      "                               ",
      "                               ",
      "                               ",
      "                               ",
      "                               ",
      "                               "};
    uint32_t hiScores[10]={0,0,0,0,0,0,0,0,0,0};
    uint32_t lastScore;
    boolean musicOn=true;
    boolean effectsOn=true;
    boolean other1On=true;
    boolean other2On=true;
    uint8_t prefsVersion=0;
};


//TinyScreen display = TinyScreen(TinyScreenPlus);


void tinyTrisSetup () {
  analogWrite(A0, analogRead(A0));//Set audio output to avoid picking up noise, even though audio isn't used
  //pinMode(TinyArcadePin2, INPUT_PULLUP);
  //pinMode(TinyArcadePin1, INPUT_PULLUP);
  joy::joyInit();
  display.begin();
  display.setFont(thinPixel7_10ptFontInfo);
	display.setBrightness(10);
 
	millisTime=millis();
	gameSetup();
}


void tinyTrisLoop() {
	joy::getJoystick();
 	int buttons=0;

	buttons|=(joy::leftButton<<JOY_BUT_L)|(joy::rightButton<<JOY_BUT_R);

	if(millis() - millisTime > 20) {
		gameLoop(joy::LX,joy::LY,joy::RX,joy::RY,buttons);
		millisTime=millis();
	}
}

